title;
footnote;
options nodate nonumber center;
ods listing close;

proc sort data=sashelp.prdsale out=prdsale;
  by Country;
run;
      
** 1) Make an ODS Document from PROC TABULATE and;
**    PROC UNIVARIATE. Also make a PDF file to show the original structure.;
ods document name=work.prddoc(write);
ods pdf file='c:\temp\origoutput.pdf';
proc tabulate data=prdsale;
  by Country;
  var predict;
  class prodtype;
  table prodtype all,
        predict*(min mean max);
run;

ods select ExtremeObs;
proc univariate data=prdsale;
  by Country;
  var actual;
run;
ods document close;
ods pdf close;

ods listing;


** 2) Make new document store with new structure;
**    and copy output objects into new folders.;
ods listing;
proc document name=work.neworder(write);
  make CANADA, GERMANY, USA; 
run;

  dir ^^;
  dir CANADA;
  dir;
  copy \work.prddoc\Tabulate#1\ByGroup1#1\Report#1\Table#1 to ^;
  copy \work.prddoc\Univariate#1\ByGroup1#1\ACTUAL#1\ExtremeObs#1 
         to ^ ;
run;

  dir ^^;
  dir GERMANY;
  dir;
  copy \work.prddoc\Tabulate#1\ByGroup2#1\Report#1\Table#1  to ^ ;
  copy \work.prddoc\Univariate#1\ByGroup2#1\ACTUAL#1\ExtremeObs#1 
         to ^ ;
run;

  dir ^^;
  dir USA;
  dir;
  copy \work.prddoc\Tabulate#1\ByGroup3#1\Report#1\Table#1 to ^ ;
  copy \work.prddoc\Univariate#1\ByGroup3#1\ACTUAL#1\ExtremeObs#1 
         to ^ ;
run;
quit;

**3) Replay the new document store to HTML and PDF.;
ods html file='c:\temp\replay_new.html' 
         style=sasweb;
ods pdf file='c:\temp\replay_new.pdf';
proc document name=work.neworder;
   replay;
run;
quit;

ods _all_ close;
