ods listing close;
title; footnote;
** demo09_gray_colors.sas ;
      
data altgray;
  length firstdigit seconddigit $1;
  do firstdigit = '0','1','2','3','4','5',
                  '6','7','8','9','A','B',
                  'C','D','E','F';
    do seconddigit = '0','1','2','3','4','5',
                     '6','7','8','9','A','B',
                     'C','D','E','F';
       grayname = cats('GRAY',firstdigit,seconddigit);
       cxname = cats('cx',firstdigit,seconddigit,firstdigit,seconddigit,firstdigit,seconddigit);
       allref = cats(grayname,'^n',cxname);
       val = 1;
       output;       
    end;
  end;
run;

** shows either the CXNAME or the GRAYab name in the table;
** Proc REPORT is happier using the CX name in the CALL DEFINE statement;
ods listing close;
ods html file='grayname_box.html' style=sasweb;
ods escapechar='^';
  proc report data=altgray nowd 
    style(column)={font_weight=bold};
    title 'Showing SAS Gray Name Color Values in a Table';
    column firstdigit allref,seconddigit  val;
    define firstdigit / group order=data 'First Digit'
           style(column)={just=c};
    define seconddigit / across order=data 'Second Digit'
           style(header)={vjust=b};
    define allref / ' ';
    define val / sum ' ' noprint;
    compute before firstdigit;
      holdfirst = firstdigit;
    endcomp;
    compute allref ;
       array mval $ _c2_ _c3_ _c4_ _c5_ _c6_ _c7_ _c8_ _c9_
                    _c10_ _c11_ _c12_ _c13_ _c14_ _c15_ _c16_ _c17_ ;
       do i = 1 to 16;
          x=trim(mval(i));
          cx = 'cx'||trim(substr(x,5,2))||trim(substr(x,5,2))||trim(substr(x,5,2));
          if holdfirst le '9' then  
             tmp = 'style={foreground=white'||' background= '||trim(cx)||' font_size=8pt}';
          else if holdfirst gt '9' then  
             tmp = 'style={foreground=black'||' background='||trim(cx)||' font_size=8pt}';

          call define('_C'||trim(left(put(i+1,2.0)))||'_','style',tmp);
       end;
    endcomp;
    compute after /
      style={foreground=black font_weight=bold};
      line 'Construct Gray Scale names in the form';
      line 'GRAYab or as CXababab';
      line '(where a is the first digit and b is the second digit)';
    endcomp;
  run;
ods html close;


