options nodate number pageno=1 missing=0;
ods listing close;
title;
           
** Style overrides change output from the default;
** attributes set in the default style template.;
ods html file='style08a.html';
ods rtf file='style08a.rtf';
ods pdf file='style08a.pdf';

PROC PRINT data=sashelp.class(obs=3)
     style(header)={background=cx0000ff
                    foreground=cxffffff
                    font_face=Arial}
    style(data)={background=yellow}
    style(obsheader)={background=green foreground=white}
    style(obs)={background=white foreground=green};
RUN;

PROC REPORT data=sashelp.class(obs=3) nowd
     style(header)={background=cx0000ff
                    foreground=cxffffff
                    font_face=Arial}
     style(column)={background=yellow};
  define name / 'Name'
    style(header)={background=green 
                   foreground=white}
    style(column)={background=white 
                   foreground=green
                   font_weight=bold};
RUN;

PROC TABULATE data=sashelp.class
     style={background=yellow};
  class age sex / style={background=cx0000ff
                    foreground=cxffffff
                    font_face=Arial};
  classlev age / style={background=cyan};
  classlev sex / style={background=white
                        foreground=blue};
  table sex all,
        age all={label='Count' style={background=white vjust=b}}*{style={background=purple foreground=white font_weight=bold}} / 
        box={label='Box Area' style={vjust=b background=green
                                     foreground=white}};
  keylabel n=' '
           all='Total';
  keyword all / style=Header{background=pink};
RUN;

ODS _all_ CLOSE;


** If you specify a different style template;
** then the style attributes in the syntax;
** override what is in specified style template.;
ods html file='style08b.html' style=sasweb;
ods rtf file='style08b.rtf';
ods pdf file='style08b.pdf';
proc report data=salesdata nowd
     style(summary)=Header;
  title 'Using Styles';
  column Region Subsidiary Product Sales;
  where index(Region,'America') gt 0;
  define Region/ group center; 
  define Subsidiary / group;
  define Product/ group 'Product' center;
  define Sales/ sum 'Sales' f=comma16.;
  break after Region / skip summarize dol dul;
run;
ods _all_ close;

ods listing;

