 ods listing close;

** Three Methods of Using CSS files;
** Create a CSS file using the SASWEB style template;
ods html path='c:\temp' (url=none)
         file='make_css.html' 
         style=sasweb
         stylesheet='sasweb_demo.css';
  proc print data=sashelp.class(obs=3);
    title '1) Creating and Using a CSS file';
  run;
ods _all_ close;

** Use the CSS file that was created by #1 above;
** Note that STYLE= is no longer needed.;
ods html path='c:\temp' (url=none)
         file='use_css.html' 
         stylesheet=(url='sasweb_demo.css');
  proc print data=sashelp.class(obs=3);
    title '2) Using an Existing CSS file';
  run;
ods _all_ close;

** Use a changed or corp CSS file with the CSSSTYLE= option;
ods html path='c:\temp\output' (url=none)
         file='use_stylesheet.html' 
         stylesheet=(url='sasweb_purple.css');

ods pdf file='c:\temp\output\use_cssstyle.pdf'
         cssstyle='.\sasweb_purple.css';
ods rtf file='c:\temp\output\use_cssstyle.rtf'
         cssstyle='c:\temp\output\sasweb_purple.css';
ods html(id=2) path='c:\temp\output' (url=none)
         file='use_cssstyle.html' 
         cssstyle='sasweb_purple.css';
  proc print data=sashelp.class(obs=3);
    title '3) Using an Edited CSS file';
  run;
ods _all_ close;

