options nodate number pageno=1 missing=0;

proc sort data=greatest.salesdata out=salesdata;
  by region subsidiary product;
  where region contains 'America';
run;

proc format;
   value tlite low -<750000 = 'light red'
             750000 - 1200000 = 'light yellow'
             1200000<- 2000000  = 'light green'
             other = 'cx6495ED';
                                   
   ** RGB hex values for colors in alternate format;
   value tlited low -<750000 = 'cxFF5757'
             750000 - 1200000 = 'cxFFFF57'
             1200000<- high  = 'cx57FF57';
run;
        
ods listing close;
    
ods html file='Demo08_tlite.html' style=sasweb;
ods rtf file='Demo08_tlite.rtf';
ods pdf file='Demo08_tlite.pdf';
proc report data=salesdata nowd
  style(summary)=Header;
  title 'Demo 08 - Traffic Lighting with Format';
  column Region Subsidiary Product Sales;
  define Region/ group center; 
  define Subsidiary / group;
  define Product/ group 'Product' center;
  define Sales/ sum 'Sales' f=comma16.
         style(column)={background=tlite.};
  break after Region / skip summarize dol dul;
run;
ods _all_ close;
      
ods html file='diff08_tlited.html' style=sasweb;
ods rtf file='diff08_tlited.rtf';
ods pdf file='diff08_tlited.pdf';
proc report data=salesdata nowd
     style(summary)=Header;
  title 'No "Other" in format - Traffic Lighting';
  column Region Subsidiary Product Sales;
  define Region/ group center; 
  define Subsidiary / group;
  define Product/ group 'Product' center;
  define Sales/ sum 'Sales' f=comma16.
         style(column)={background=tlited.};
  break after Region / skip summarize dol dul;
run;
ods _all_ close;

ods listing;
