ods path work.sumtemp(update)
         sasuser.templat(update)
         sashelp.tmplmst(read);
         
title;

proc template;
  define tagset tagsets.PT;
    parent=tagsets.html4;
    define event proc_title;   
      put '<div class="c RedPT"';
      put '>';           
      put VALUE ;                
      put "</div>" NL;   
    end;
    image_formats = "png,gif,jpg,svg,xml";
    output_type = "html";
  end;
run;

proc template;
  edit base.summary;
      header h ;              
      define h;             
         text "Analysis Variable: " one_var_label;          
         space = 1;         
         just = C;  
         style=PinkHdr; 
         print = one_var;   
         spill_margin;      
      end;                  
      
      define sum;           
         header = "Sum";  
         format=comma14.2; 
         generic;           
      end;                  
  end;
run;

proc template;
  define style styles.special;
    parent=styles.sasweb;
    import 'chgstyle.css';
    class GraphColors /    
       'gdata12' = cxDDD17E    
       'gdata11' = cxB7AEF1    
       'gdata10' = cx336699    
       'gdata9' = beige
       'gdata8' = graycc
       'gdata6' = blue
       'gdata7' = green
       'gdata4' = red
       'gdata5' = purple
       'gdata3' = yellow    
       'gdata2' = cyan
       'gdata1' = pink;
  end;
run;

proc template;
define statgraph graph.regsales;
  mvar _wanty;
  begingraph;
    entrytitle _WANTY;
    layout overlay / 
           xaxisopts=(label="Region")
           yaxisopts=(label=_WANTY)
           cycleattrs=true;
      barchart x=region y=_wanty;
    endlayout;
  endgraph;
end;
run;
    
ods html path='.' (url=none)
         gpath='.' (url=none)
         file='sum_ht.html'
         style=styles.special;
                  
ods tagsets.PT path='.' (url=none)
         gpath='.' (url=none)
         file='sum_pt.html'
         style=styles.special;

 proc means data=sashelp.shoes sum;
  var sales;
  class region;
  output out=work.sales sum=sumsale;
run;


%let _wanty = Sales;
  proc sgrender data=sashelp.shoes
       template=graph.regsales;
  run;

%let _wanty = Returns;
  proc sgrender data=sashelp.shoes
       template=graph.regsales;
  run;
   
ods _all_ close;

